<template>
<v-layout align-start justify-center row fill-height wrap>
    <v-flex v-if="getEmptyList != 0">
        <v-list three-line>
            <div v-for="(item) in getUserListData" v-bind:key="item.id">
                <v-subheader>
                    {{ item.type.name }}
                </v-subheader>
                <v-list-tile :to="`/task/${item.type.url}/${item.id}`">
                    <v-list-tile-content>
                        <v-list-tile-title v-html="item.consigned.name"></v-list-tile-title>
                        <v-list-tile-sub-title v-html="item.consigned.address"></v-list-tile-sub-title>
                    </v-list-tile-content>
                </v-list-tile>

                <badge v-bind:estado="item.urgent.name" /> -
                <span>{{ item.state.name }}</span>
                <hr />
            </div>
        </v-list>
    </v-flex>
    <v-flex v-if="getEmptyList == 0">
      <h3>No hay trabajos Pendientes</h3>
    </v-flex>

    <snack-local v-bind:snackbar.sync="snackbar" :message="message"/>

</v-layout>
</template>

<script>
import axios from 'axios';
import server from '../server'
import Badge from '../components/UrgentBadge'
import SnackLocal from '../components/SnackBarLocal'

export default {
    name: "Dashboard",
    components:{
      Badge,
      SnackLocal
    },
    data(){
      return {
        snackbar:false,
        message: '',
      }
    },
    mounted() {
        var _this = this;
        _this.$store.dispatch('setUserInfo').then(() => {
          console.log('LogedIn')
        }).catch(err => {
          this.snackbar = true
          this.message = "Error de Login"
          this.$router.push('/')
          this.$store.commit('LOGOUT')
        })
    },
    computed: {
        getUserListData() {
            return this.$store.getters.getUserList;
        },
        getEmptyList() {
            return this.$store.getters.getUserList.length
        }
    }
}
</script>s
